package com.lucasmufato.bd2.repository;

import com.lucasmufato.bd2.model.Employee;
import java.util.List;

/**
 * Purpose: interface for EmployeeDaoImplementation
 * <p>
 * <br>
 *
 * @author : lucasmufato
 **/
public interface EmployeeDao {

    void insert(Employee employee);
    Employee getById(int id);
    Employee merge(Employee employee);
    void remove(Employee employee);
    void removeAll();
    List<Employee> findAll();
    List<Employee> findAllSalaryGreaterThan(long salary);

}
